﻿using GalaSoft.MvvmLight.CommandWpf;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Data;
using System.IO;
using System.Linq;
using System.Windows.Forms;

namespace WpfApplication7
{
    public class ExecutionDetails: BindableBase
    {
        public ObservableCollection<GridColumns> _cl = new ObservableCollection<GridColumns>();
        public ObservableCollection<GridColumns> Cl
        {
            get { return _cl; }
            set { _cl = value; }
        }
          public ObservableCollection<string> _workBookList = new ObservableCollection<string>();
        public ObservableCollection<string> WorkBookList
        {
            get { return _workBookList; }
            set { _workBookList = value; OnPropertyChanged("WorkBookList"); }
        }
        public RelayCommand AddRow { get; set; }


        public bool _addRowFlag = false;
        public bool AddRowFlag
        {
            get { return _addRowFlag; }
            set { _addRowFlag = value; OnPropertyChanged("AddRowFlag"); }
        }

        public ExecutionDetails()
        {
            AddRow = new RelayCommand(() => AddNewRow());
        }
        private object AddNewRow()
        {
            GridColumns obj = new GridColumns();
            obj.Check = false;
            obj.Workbook = "";
            obj.Modules = "";
            obj.SelectMethod = "";
            obj.TestCases = "";
            Cl.Add(obj);
            List<string> s1 = new List<string>();
            s1.Add("PM");
            s1.Add("Acceptance");
            WorkBookList = new ObservableCollection<string>(s1);
            AddRowFlag = true;
            return null;
        }
    }
}
